Troubles in installing R on Mac OS X Mountain lion

#1
I all,
In my previous mac, which had leopard installed, R was working perfectly. Now I just bought a new mac with Mountain Lion and I`m trying to install R.
I`ve already installed all the required libraries, included Xcode 4.6, Xcode tools 4.6 and gfortran 4.2.
However, when I run ./configure it gives me this message:


configure: WARNING: compilation failed

checking for Fortran 77 libraries of fc...
checking how to get verbose linking output from gcc -std=gnu99... -v
checking for C libraries of gcc -std=gnu99... -lcrt1.10.6.o -L/usr/local/lib -L/usr/llvm-gcc-4.2/bin/../lib/gcc/i686-apple-darwin11/4.2.1/x86_64 -L/Applications/Xcode.app/Contents/Developer/usr/llvm-gcc-4.2/lib/gcc/i686-apple-darwin11/4.2.1/x86_64 -L/usr/lib/gcc/i686-apple-darwin11/4.2.1/x86_64 -L/usr/llvm-gcc-4.2/bin/../lib/gcc/i686-apple-darwin11/4.2.1 -L/usr/llvm-gcc-4.2/bin/../lib/gcc -L/Applications/Xcode.app/Contents/Developer/usr/llvm-gcc-4.2/lib/gcc/i686-apple-darwin11/4.2.1 -L/usr/lib/gcc/i686-apple-darwin11/4.2.1 -L/usr/llvm-gcc-4.2/bin/../lib/gcc/i686-apple-darwin11/4.2.1/../../.. -L/Applications/Xcode.app/Contents/Developer/usr/llvm-gcc-4.2/lib/gcc/i686-apple-darwin11/4.2.1/../../.. -lSystem
checking for dummy main to link with Fortran 77 libraries... none
checking for Fortran 77 name-mangling scheme... configure: error: in `/Users/Oritteropus/Desktop/R-2.15.2':
configure: error: cannot compile a simple Fortran program
See `config.log' for more details

Is it a problem related to gfortran version?? what version should I install?
Please be exhaustive since I'm still a bit dummy with compilations..
Thank you!
 

Dason

Ambassador to the humans
#2
Why are you trying to compile R? CRAN offers a precompiled .pkg that will offer a more convenient installation for you.